# Generated by Django 3.2.13 on 2023-05-14 07:42

from django.db import migrations, models
import short_stuff.django.models
import short_stuff.lib


class Migration(migrations.Migration):

    dependencies = [
        ("workflow", "0032_auto_20230417_2009"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="checklisttask",
            options={"ordering": ("definition__order",)},
        ),
        migrations.AlterModelOptions(
            name="checklisttaskdefinition",
            options={},
        ),
        migrations.AlterModelOptions(
            name="runtrendtaskreport",
            options={"ordering": ("task_definition__order",)},
        ),
        migrations.AddField(
            model_name="checklisttaskdefinition",
            name="order",
            field=models.PositiveIntegerField(
                default=0, help_text="Ascending order placement of this model instance"
            ),
        ),
        migrations.AlterField(
            model_name="checklisttaskdefinition",
            name="id",
            field=short_stuff.django.models.ShortCodeField(
                db_index=True,
                default=short_stuff.lib.gen_shortcode,
                editable=False,
                primary_key=True,
                serialize=False,
            ),
        ),
    ]
